# Script para conectarse y ejecutar las operaciones del benchmark sobre MongoDB

#!/usr/bin/python
import pymongo
import timeit

#Conexión con la base de datos MongoDB
connection=pymongo.Connection()
database = connection.proyecto

#Buscar datos
database.benchmarkproyecto.find()

#Buscar datos con condicion
database.benchmarkproyecto.find({'Edad':18})

#Modificar datos
database.benchmarkproyecto.update({'Edad':18}, {'$set': {'Fecha_de_nacimiento': '00/00/0000'}}, upsert=False, safe=True, multi=True)

#Eliminar datos
database.benchmarkproyecto.remove()
